Bug 479515

Summary: Review Request: Music Organizer - Music Organizer , organize your mp3, ogg, flac and mp4
Product: [Fedora] Fedora Reporter: Camille GALLET <camillegallet>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: camillegallet, fedora-package-review, mail, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-29 04:44:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Camille GALLET 2009-01-10 07:45:01 EST
Spec URL: ftp://downloads.tuxfamily.org/morg/files/fedora/Music_Organizer-2.5.1-1.spec
SRPM URL: ftp://downloads.tuxfamily.org/morg/files/fedora/Music_Organizer-2.5.1-1-2.5.1-1.fc9.src.rpm
Description: Music Organizer is a multi-platform program that manage mp3, ogg, flac and mp4 files. For mp3, it recogonize both id3V2 and id3V1 tags and edit them separatly. It can also organize your files i.e. create a tree from tags and puts them smartly into those. musicorganizer generate tags from files name, generate files name from the tags and let you listen your music whith your favourite player.Music Organizer use taglib to read tags and wxWidgets for the GUI. Website: http://www.musicorganizer.org
Comment 1 Fabian Affolter 2009-01-10 12:47:56 EST
Just some comment on your spec file

- The name of the spec file don't match guidelines
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Spec_file_name
- The summary needs to be improved.  It's not necessary to repeat the package name.
- The license is wrong, check source header -> GPLv2+
- Your description looks very ugly. 
- Please preserve the time stamps in the install section if it's possible
  make DESTDIR=%{buildroot} INSTALL="install -p" install
- There are translations...
  https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
- AUTHORS, COPYING, and so on must be include as %doc.
  https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#.25files_prefixes
- You must install /verify the .desktop file
  https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
- You must use macros in the %files section
  https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#Macros
- Stuff from the doc directory in the source should marked as %doc in the package.
- You should add a proper changelog entry.
  https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

From my point of view this package should be named as 'musicorganizer'. The Mac version is called 'MusicOrganizer', the Debian version 'musicorganizer', and the Windows package 'Music.Organizer'.
Comment 2 Fabian Affolter 2009-01-27 07:18:23 EST
Any progress on this?
Comment 3 Fabian Affolter 2009-04-08 01:58:46 EDT
Is this review dead?
Comment 4 Camille GALLET 2009-04-14 12:43:28 EDT
It's not dead I just didn't have any time to deal with this the last few month, I will try to find time do the modifications in the next weeks ( April or May more exactly).
Comment 5 Fabian Affolter 2009-06-16 06:15:04 EDT
and?
Comment 6 Fabian Affolter 2009-07-27 07:25:46 EDT
Camille, are you still interested to maintain this package in Fedora?
Comment 7 Fabian Affolter 2009-09-18 03:23:22 EDT
I will mark this as dead in some days.